Description: package names and ansi pathname
Forwarded: not-needed
 Update explicit package prefixes and pathname calls to comport with current
 gcl practice.
Author: Camm Maguire <camm@debian.org>

Index: fricas-1.3.8/src/interp/daase.lisp
===================================================================
--- fricas-1.3.8.orig/src/interp/daase.lisp
+++ fricas-1.3.8/src/interp/daase.lisp
@@ -331,7 +331,7 @@ database.
  (close |$operation_stream|)
  (close |$category_stream|)
  (close |$browse_stream|)
-#+:GCL (LISP::gbc t)
+#+:GCL (SI::gbc t)
 )
 
 (defun initial-getdatabase ()
Index: fricas-1.3.8/src/interp/nlib.lisp
===================================================================
--- fricas-1.3.8.orig/src/interp/nlib.lisp
+++ fricas-1.3.8/src/interp/nlib.lisp
@@ -218,8 +218,8 @@
     (untrace compiler::fast-link-proclaimed-type-p compiler::t1defun)))
 #-:GCL
 (defun |compile_lib_file|(fn)
-  (if FRICAS-LISP::algebra-optimization
-      (proclaim (cons 'optimize FRICAS-LISP::algebra-optimization)))
+  (if FRICAS-SI::algebra-optimization
+      (proclaim (cons 'optimize FRICAS-SI::algebra-optimization)))
   (compile-file fn))
 
 
@@ -317,7 +317,7 @@
 
 #+:GCL
 (defun delete-directory (dirname)
-   (LISP::system (concat "rm  -r " dirname)))
+   (SI::system (concat "rm  -r " dirname)))
 
 #+:sbcl
 (defun delete-directory (dirname)
@@ -372,7 +372,7 @@
 #+:GCL
 (defun copy-lib-directory (name1 name2)
    (makedir name2)
-   (LISP::system (concat "sh -c 'cp " name1 "/* " name2 "'")))
+   (SI::system (concat "sh -c 'cp " name1 "/* " name2 "'")))
 
 #+:sbcl
 (defun copy-lib-directory (name1 name2)
Index: fricas-1.3.8/src/interp/vmlisp.lisp
===================================================================
--- fricas-1.3.8.orig/src/interp/vmlisp.lisp
+++ fricas-1.3.8/src/interp/vmlisp.lisp
@@ -735,7 +735,7 @@
    (ext::run-program "sh" (list "-c" S) :input t :output t)))
 
 #+:GCL
-(defun OBEY (S) (LISP::SYSTEM S))
+(defun OBEY (S) (SI::SYSTEM S))
 
 #+:allegro
 (defun OBEY (S) (excl::run-shell-command s))
Index: fricas-1.3.8/src/lisp/Makefile.in
===================================================================
--- fricas-1.3.8.orig/src/lisp/Makefile.in
+++ fricas-1.3.8/src/lisp/Makefile.in
@@ -62,7 +62,7 @@ do_it.gcl: fricas-lisp.lisp fricas-packa
 	     '(compile-file "fricas-lisp.lisp")' \
              '(compile-file "primitives.lisp")' | $(FRICAS_LISP)
 	echo '(compiler::link nil "prelisp" ' \
-              ' (format nil "(progn (let ((*load-path* (cons ~S *load-path*))'\
+              ' (format nil "(progn (let ((si::*load-path* (cons ~S si::*load-path*))'\
                                         ' (si::*load-types* ~S))' \
                                        ' (compiler::emit-fn t))' \
                                   ' (when (fboundp (quote si::sgc-on))' \
Index: fricas-1.3.8/src/lisp/fricas-lisp.lisp
===================================================================
--- fricas-1.3.8.orig/src/lisp/fricas-lisp.lisp
+++ fricas-1.3.8/src/lisp/fricas-lisp.lisp
@@ -209,7 +209,7 @@ with this hack and will try to convince
 
 ;;; How to exit Lisp process
 #+:GCL
-(defun exit-with-status (s) (lisp::quit s))
+(defun exit-with-status (s) (si::quit s))
 
 #+:cmu
 (defun exit-with-status (s)
@@ -388,9 +388,9 @@ with this hack and will try to convince
 #+:GCL
 (eval-when (:compile-toplevel :load-toplevel :execute)
 (setf *c-type-to-ffi* '(
-    (int LISP::int)
-    (c-string LISP::string)
-    (double LISP::double)
+    (int SI::int)
+    (c-string SI::string)
+    (double SI::double)
 ))
 
 (defun c-args-to-gcl (arguments)
@@ -399,7 +399,7 @@ with this hack and will try to convince
 (defun gcl-foreign-call (name c-name return-type arguments)
     (let ((gcl-args (c-args-to-gcl arguments))
           (gcl-ret (c-type-to-ffi return-type)))
-    `(LISP::defentry ,name ,gcl-args (,gcl-ret ,c-name))
+    `(SI::defentry ,name ,gcl-args (,gcl-ret ,c-name))
   ))
 
 (defmacro fricas-foreign-call (name c-name return-type &rest arguments)
@@ -629,7 +629,7 @@ with this hack and will try to convince
         (val int))
 
 #+:GCL
-(LISP::clines "extern double sock_get_float();")
+(SI::clines "extern double sock_get_float();")
 
 (fricas-foreign-call |sockGetFloat| "sock_get_float" double
         (purpose int))
@@ -659,21 +659,21 @@ with this hack and will try to convince
 #+:GCL
 (progn
 
-(LISP::defentry sock_get_string_buf (LISP::int LISP::object LISP::int)
-    (LISP::int "sock_get_string_buf_wrapper"))
+(SI::defentry sock_get_string_buf (SI::int SI::object SI::int)
+    (SI::int "sock_get_string_buf_wrapper"))
 
 ;; GCL may pass strings by value.  'sock_get_string_buf' should fill
 ;; string with data read from connection, therefore needs address of
 ;; actual string buffer. We use 'sock_get_string_buf_wrapper' to
 ;; resolve the problem
-(LISP::clines "int sock_get_string_buf_wrapper(int i, object x, int j)"
+(SI::clines "int sock_get_string_buf_wrapper(int i, object x, int j)"
     "{ if (type_of(x)!=t_string) FEwrong_type_argument(sLstring,x);"
     "  if (x->st.st_fillp<j)"
     "    FEerror(\"string too small in sock_get_string_buf_wrapper\",0);"
     "  return sock_get_string_buf(i, x->st.st_self, j); }")
 
-(LISP::defentry sock_get_string_buf (LISP::int LISP::object LISP::int)
-    (LISP::int "sock_get_string_buf_wrapper"))
+(SI::defentry sock_get_string_buf (SI::int SI::object SI::int)
+    (SI::int "sock_get_string_buf_wrapper"))
 
 (defun |sockGetStringFrom| (type)
     (let ((buf (MAKE-STRING 10000)))
@@ -821,8 +821,8 @@ with this hack and will try to convince
 
 #+:GCL
 (progn
-  (LISP::defentry file_kind (LISP::string)      (LISP::int "directoryp"))
-  (LISP::defentry |makedir| (LISP::string)         (LISP::int "makedir")))
+  (SI::defentry file_kind (SI::string)      (SI::int "directoryp"))
+  (SI::defentry |makedir| (SI::string)         (SI::int "makedir")))
 
 #+:ecl
 (ffi:def-function ("directoryp" raw_file_kind)
@@ -978,7 +978,7 @@ with this hack and will try to convince
     (let ((ns (namestring name)))
          (if (and (consp (pathname-directory name))
                   (eq (car (pathname-directory name))
-                      #-:GCL :absolute #+:GCL :root))
+                      :absolute))
              ns
              (concatenate 'string (get-current-directory)  "/" ns))))
 #+:cmu
Index: fricas-1.3.8/src/lisp/fricas-package.lisp
===================================================================
--- fricas-1.3.8.orig/src/lisp/fricas-package.lisp
+++ fricas-1.3.8/src/lisp/fricas-package.lisp
@@ -48,8 +48,8 @@
 
 #+:GCL
 (progn
-    (import '(LISP::LAMBDA-CLOSURE))
-    (export '(LISP::LAMBDA-CLOSURE))
+    (import '(SI::LAMBDA-CLOSURE))
+    (export '(SI::LAMBDA-CLOSURE))
 )
 #+:ecl
 (progn
